Ошибка при установке Git с помощью apt-получить

Когда я пытаюсь установить git на Серверный дистрибутив операционной системы Ubuntu 11.04, я получаю сообщение об ошибке. Я использовал следующую команду:

суда apt-получить установки git

А то создается эта ошибка:

(Чтение базы данных ... 
с dpkg: предупреждение: список файлов пакета `ГИТ' отсутствует, предполагая, что пакет не содержит файлов установленных.
(Чтение базы данных ... файлы 20310 и каталоги установлены.)
Готовится сменить ГИТ 1:1.7.4.1-3 (используя .../git_1%3А1.7.4.1-3_i386.деб) ...
в /var/библиотека lib/dpkg Для в/tmp.ки/preinst нового пакета: 12: с dpkg-maintscript-помощник: не нашли
с dpkg: ошибка при обработке в /var/кэш/АПТ/архив/git_1%3А1.7.4.1-3_i386.деб (--распаковать):
 подпроцесс новая предварительная установка скрипта возвращается статус выхода ошибка 127
в /var/библиотека lib/dpkg Для в/tmp.ки/например: 14: с dpkg-maintscript-помощник: не нашли
с dpkg: ошибка при очистке:
 подпроцесс новый пост-удаления скрипта возвращается статус выхода ошибка 127
Ошибки возникли при обработке:
в /var/кэш/АПТ/архив/git_1%3А1.7.4.1-3_i386.деб
Е: суб-процесс /usr/бен/с dpkg вернул код ошибки (1)

Я использую следующие репозитории:

# деб с cdrom:[Ubuntu в _Hardy 8.04.3 Heron_ - релиз для i386 (20090713.1)]/ Харди главного ограничен
# Смотри http://help.ubuntu.com/community/UpgradeNotes для как обновить
# более новой версии дистрибутива.

деб http://us.archive.ubuntu.com/ubuntu/ Нэтти основной ограничен
деб-СРЦ http://us.archive.ubuntu.com/ubuntu/ Нэтти основной ограничен

## Основные Исправлена ошибка обновления производится после окончательного релиза
# распределение#.
деб http://us.archive.ubuntu.com/ubuntu/ Нэтти-обновления основных ограничен
деб-СРЦ http://us.archive.ubuntu.com/ubuntu/ Нэтти-обновления основных ограничен


## главная и ограниченная репозиториев
# деб http://us.archive.ubuntu.com/ubuntu/ осознанные основной ограничен
# деб-СРЦ http://us.archive.ubuntu.com/ubuntu/ осознанные основной ограничен

#деб http://security.ubuntu.com/ubuntu осознанное охраны Главного ограничен
#деб-СРЦ http://security.ubuntu.com/ubuntu осознанное охраны Главного ограничен

## хранилищ Вселенной 
#деб http://us.archive.ubuntu.com/ubuntu/ осознанные Вселенной
#деб-СРЦ http://us.archive.ubuntu.com/ubuntu/ осознанные Вселенной
#деб http://us.archive.ubuntu.com/ubuntu/ ясный-обновления Вселенной ограничено главным
#деб-СРЦ http://us.archive.ubuntu.com/ubuntu/ ясный-обновления Вселенной

#деб http://security.ubuntu.com/ubuntu осознанные-безопасность Вселенной
#деб-СРЦ http://security.ubuntu.com/ubuntu осознанные-безопасность Вселенной

## Н. б. программы из этого репозитория полностью поддерживается в Убунту
команда##, и не может быть под свободной лицензией. Пожалуйста удостоверьтесь, что
## ваши права на использование программного обеспечения. Кроме того, обратите внимание, что программное обеспечение в
## Вселенной не получит любой комментарий или обновления от Ubuntu в безопасности
команда##.
деб http://us.archive.ubuntu.com/ubuntu/ Нэтти Вселенной
деб-СРЦ http://us.archive.ubuntu.com/ubuntu/ Нэтти Вселенной
деб http://us.archive.ubuntu.com/ubuntu/ Нэтти-обновления Вселенной
деб-СРЦ http://us.archive.ubuntu.com/ubuntu/ Нэтти-обновления Вселенной

## Н. б. программы из этого репозитория полностью поддерживается в Убунту 
команда##, и не может быть под свободной лицензией. Пожалуйста удостоверьтесь, что 
## ваши права на использование программного обеспечения. Кроме того, обратите внимание, что программное обеспечение в 
## мультиверс не получит любой комментарий или обновления с Убунту
служба безопасности##.
деб http://us.archive.ubuntu.com/ubuntu/ Нэтти мультивселенной
деб-СРЦ http://us.archive.ubuntu.com/ubuntu/ Нэтти мультивселенной
деб http://us.archive.ubuntu.com/ubuntu/ Нэтти-обновления мультивселенной
деб-СРЦ http://us.archive.ubuntu.com/ubuntu/ Нэтти-обновления мультивселенной

Кто-нибудь есть идея, что происходит или как я могу исправить это и получить Git, чтобы установить?

[править] вот вывод команды apt-кэша политики в dpkg:

с dpkg:
 Установлено: 1.15.5.6ubuntu4
 Кандидат: 1.16.0~ubuntu7.1
 Версия таблицы:
 1.16.0~ubuntu7.1 0
 500 http://us.archive.ubuntu.com/ubuntu/ Нэтти-обновления/основные пакеты
 1.16.0~ubuntu7 0
 500 http://us.archive.ubuntu.com/ubuntu/ Натти/основные пакеты
 *** 1.15.5.6ubuntu4 0
 100 /ВАР/Либ/с dpkg/статус

И теперь склонны полностью разбита. Я попытался обновить с dpkg, потому что я заметил, что это было пару версий устарели. Это не удалось, потому что он не мог установить git. Я попробовал apt-получить продувки, apt-получить чистый и apt-получить обновление. Все та же проблема. Я попытался удалить Git и получил это:

Удаление ГИТ-основной ...
с dpkg: ошибка при обработке ЖКТ (--удалить):
 Пакет находится в очень плохом противоречивое состояние - вы должны
 установите его перед попыткой удаления.
Ошибки возникли при обработке:
ГИТ
Е: суб-процесс /usr/бен/с dpkg вернул код ошибки (1)
+573
Dan Gorentz 18 февр. 2014 г., 17:06:25
15 ответов

Похоже, переход к единству 2Д помогли - теперь настройки дисплея появляется на основном мониторе.

Вау, это также сделало мой рабочий стол быстро снова, я не понимал, насколько медленнее единство 3D был до этого вернуться! Спасибо, Джеймс!

+897
raju 03 февр. '09 в 4:24

Я использовал, чтобы иметь отличную счета рабочего Dropbox на свой компьютер Убунту 10.04 ЛТС. Где-то по цепи "суда apt-получить обновление; судо apt-получить обновление" в прошлом году, мой Dropbox внезапно перестал работать. Вместо этого, я вижу в Ubuntu одна штука на меню в Наутилусе, а не в Dropbox.

Итак, я сделал "apt-получить --очистить удалить Наутилус-Dropbox", а потом пошли DropBox.com чтобы скачать deb файл и переустановить его снова.

Но ничего не вышло. Я вам на значок Dropbox в своем "лотке", и нажав на нее откроется каталог ~/Dropbox, но он не синхронизируется с Dropbox и нажмите правую кнопку мыши Наутилус не показывает Меня меню для Dropbox. Вместо этого я вижу предметов для обмена в Ubuntu.

Я, например, Ubuntu действительно только для музыки закупок, потому что я предполагаю, что это помогает, учетом векселей Canonical.com платить в Ubuntu по. Но меня не интересует что-нибудь еще с Ubuntu, кроме того, что ... не заинтересованы в Ubuntu одно удаленное хранилище файлов. Я просто хочу, чтобы мой Dropbox синхронизация с Наутилусом, чтобы начать работать снова.

Как я могу исправить это обратно так, что Dropbox снова синхронизируется с Наутилуса?

+846
Josh J 9 нояб. 2016 г., 0:50:40

Общие настройки для шмеля это не так просто, убедитесь, что вы выполнили все шаги, как описано здесь http://www.ivegotavirus.com/blog/2011/11/06/how-to-get-optimus-working-on-ubuntu-11-10-oneiric/

+786
Aturen 23 февр. 2014 г., 23:22:50

вы можете добавить торрент напрямую двойным щелчком на этом торрент-файл или добавить его вручную, нажав на Добавить торрент-файл. оставят другого варианта, как по умолчанию

+734
Toni Kroos 8 мая 2013 г., 10:26:53

Я установил Ubuntu в качестве двойной загрузки с Windows 7 . Я не имел никакого раздела для Ubuntu . Теперь мне придется удалить Убунту . Как мне сделать так ?? Просьба помочь . Надо срочно

+701
DIG 3 дек. 2015 г., 12:49:22

Я использую Гном Шелл 3.2 в Ubuntu 11.10 и Banshee 2.2.

Я синхронизации Банши с моим iPod классический 80 ГБ. У меня включена синхронизация музыки - всю библиотеку синхронизация и синхронизация видео вручную.

Когда я перетащить M4V файлы из моей библиотеки банши в моем iPod, это дает сообщение об ошибке 'формат M4V не поддерживается этим устройством и не встретился конвертер, чтобы преобразовать его'.

Конечно мой iPod может воспроизводить файлы в формате M4V - я синхронизируются в iTunes, ранее без каких-либо затруднений.

Чего не хватает? Что мне нужно делать?

+666
Laurent Caillette 10 сент. 2014 г., 19:52:22

Когда я был с помощью Windows, у меня приложение называется минилирикс-minilyrics , которые позволяют мне показывать тексты музыкальных файлов, которые воспроизводятся. Приложение автоматически загружает тексты песен и отображает их в то время как песня играет. Есть ли подобное приложение в Ubuntu, что я мог бы использовать?

+647
vamiijoxii 14 дек. 2010 г., 15:48:11

Мой 428CA компания HP G61 имеет необычную проблему. Приостановка/возобновление работает хорошо, пока я не прерву его дольше, чем 6 или 8 часов. Если я сделаю это, он не проснется ... клавиатуре мигают сообщавшие, какие руководство описывает как "повреждение BIOS". Кто-нибудь знает какие хитрости/тонкости, которые я могу использовать для решения этой проблемы?

+572
ma krt 14 июн. 2013 г., 5:36:48

Вы можете сделать

судо делать-релиз-обновление

для командной строки обновление

(Это на самом деле такой же, как на Ubuntu сервер)

+523
HKDANMT 3 дек. 2015 г., 15:27:33

Ох, как просто, как изменение опции noauto для авто в файле/etc/fstab строчку

+504
super111 15 дек. 2012 г., 0:11:35

Как я могу включить один показатель в Убунту 12.10?

Я установил пакет : индикатор синхронизации а зря. Перезагрузка компьютера не помогает.


Команда : профпригодность поиска ubuntuone

п desktopcouch-ubuntuone - Убунту одно расширение подключения к базе данных CouchDB рабочего стола 
я gir1.2-ubuntuoneui-3.0 - Ubuntu один виджет библиотеки 
п gir1.2-ubuntuoneui-3.0:для i386 и Ubuntu один виджет библиотеки 
я libubuntuoneui-3.0-1 - ubuntu один виджет библиотеки 
п libubuntuoneui-3.0-1:для i386 и Ubuntu одна библиотека виджетов 
п libubuntuoneui-разработки - Ubuntu один виджет библиотеки 
п libubuntuoneui-разработчиков:для i386 и Ubuntu один виджет библиотеки 
я в Python-ubuntuone-клиент - Ubuntu один библиотеках клиент на Python 
я в Python-ubuntuone-контроль-панель - Ubuntu один Панель управления - библиотеки Python 
п на Python-ubuntuone-инструменты разработчика - Ubuntu один средства разработки - модули Python 
я в Python-ubuntuone-storageprotocol - библиотека Python для Ubuntu одним файлом для хранения и обмена обслуживания 
в Вместо python2.7-ubuntuone-клиента 
в Вместо python2.7-ubuntuone-storageprotocol - 
я в Rhythmbox-ubuntuone - Убунту один плагин в Rhythmbox 
я ubuntuone-клиент - Ubuntu один клиент 
я ubuntuone-клиент-гном - Ubuntu один клиент интеграция с GNOME 
п ubuntuone-клиент-гном:для i386 и Ubuntu одним клиентом гном интеграции 
п ubuntuone-клиент-прокси-сервер - Ubuntu один клиент с поддержкой Прокси 
я ubuntuone-контроль-панель - Ubuntu один пульт управления 
ubuntuone-контроль-панель-графический интерфейс в - 
я ubuntuone-панель управления--на Qt Ubuntu один Панель управления - интерфейс на Qt 
я ubuntuone-диван - Ubuntu один в CouchDB 
п ubuntuone-Дэв-инструменты - Ubuntu один инструментов развития 
п ubuntuone-файл-хранилище-по API - интерфейсы в Ubuntu одно файловое хранилище 

Когда я войти в мои сессии, индикатор-синхронизация-служба работает хорошо. Еще нет иконку в верхней панели.

indicator-sync-service

Синхронизировать и загружать уведомления отображаются нормально, а в Ubuntu с одним клиентом работает правильно. У меня есть несколько других показателей, в моей панели, но я не вижу никакой вероятности того, что один из них конфликтует с одним индикатором Убунту.

1:

+444
River Melodie 24 мая 2017 г., 22:26:01

От Ubuntu документация: https://help.ubuntu.com/10.04/serverguide/ftp-server.html

chroot_local_user=да

Можно также ограничить определенным списком пользователей, только их домашние каталоги:

chroot_list_enable=да
chroot_list_file=/и т. д./входит.chroot_list

После раскомментировав выше вариантов, создайте файл /etc/входит.chroot_list, содержащий список пользователей по одному в строке. Перезагрузите входит:

суда /и т. д./init.д/входит перезапуск
+414
steveodaniel 21 окт. 2015 г., 8:43:54

Я переустановил моя Ubuntu 11.10 на один несчастный случай за пару дней, когда я пытаюсь открыть в Nautilus как root из консоли я получаю эту ошибку:

Наутилус[3282]: обработка выхода онлайн / оффлайн на 0 ИС 00007faa7d56bcea СП 00007faa76aaf928 ошибки 4 в libc-2.13.так что[7faa7d4eb000+195000]

Я ООН-установить все расширения для Наутилуса и та же ошибка все равно возникает, но только как root

Мой дистрибутив 64бит Убунту 11.10

+275
Alex Strate 29 июн. 2012 г., 11:01:34

Я недавно создал новый компьютер с Ubuntu 11.04 amd64, которые созданы в качестве рабочего стола. Я не удосужился настройка почтового клиента для чтения почты, и мне было любопытно, что непрочитанная почта копилась. Я с удивлением обнаружил, что /VAR/катушка/почты был пуст, что файл /etc/псевдонимы не существовало, и который был установлен ни как exim4, ни любого другого агента передачи почты (МТА).

Мой предыдущий компьютер был как exim4-свет установлен, и я переделываю это несколько раз, но я не помню его установки. Я начал с Ubuntu 8.04, и модернизированные его на месте, с каждым выпуском, как они были освобождены, до 11.04. Я интересно, если как exim4-свет был установлен по умолчанию с какой-то более ранней версии Ubuntu, или если он был установлен как зависимость от чего-то еще я установил.

(Я также интересно, Стоит ли заморачиваться с установкой МТА, как, возможно, проверка рутинную почтовая система была пустая трата времени, лучше потратить играть в Minecraft, но это, вероятно, субъективный вопрос.)

+255
Fuganti 3 янв. 2018 г., 18:10:01

Нажмите клавишу Shift, когда вы видите маленький значок человека и клавиатуры. Выберите клавиатуре и нажмите клавишу F6, затем Esc. Вы должны увидеть строку текста. Добавить в эту строку "acpi_backlight=vendor" следующее Запустите установить или попробовать.

Помните, что вы должны добавить в файл grub "acpi_backlight=vendor" следующее, Когда вы перезагрузите компьютер по окончании установки.

Для более подробной информации перейдите к : http://labo.eliaz.fr/spip.php?article94

+214
Pravin Gandhi 15 июл. 2014 г., 23:23:03

Показать вопросы с тегом